View Issue Details

IDProjectCategoryView StatusLast Update
0015069LazarusLCLpublic2014-09-22 08:08
ReporterHans-Peter Diettrich Assigned ToZeljan Rikalo  
PrioritynormalSeveritymajorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version0.9.28.3 (SVN) 
Target Version1.0.0 
Summary0015069: Hide/Show changes window position
DescriptionWhen a form is hidden and then shown again, the position can be changed to the designed(?) position. Observed on Linux/gtk2, not on Win32.
Additional InformationSee examples/dockmanager/elasticsite/SiteTest.

Show any window from the View menu, move it, then minimize and restore the main window. The second form retains its Width and Height, but is moved to its original position (before the move).

I don't understand why Show and Hide have to modify any coordinates in the control and child controls :-(
Updates of the *parent* control may be required, of course.
TagsNo tags attached.
Fixed in Revision25519
LazTarget1.0
WidgetsetGTK 2
Attached Files

Relationships

related to 0014510 closedZeljan Rikalo The position of form after the creation of 
related to 0008576 closedJuha Manninen After Mini/Maximizing window 'RestoredLeft/Top' values changes to "unreal" values 

Activities

Zeljan Rikalo

2010-03-30 09:50

developer   ~0036273

Can you retest this issue with svn r >= 24291 ?

Zeljan Rikalo

2010-05-19 19:34

developer   ~0037780

Test and close if ok.

Hans-Peter Diettrich

2010-05-19 19:55

reporter   ~0037784

gtk2 now behaves as expected

Issue History

Date Modified Username Field Change
2009-11-12 12:43 Hans-Peter Diettrich New Issue
2009-11-12 12:43 Hans-Peter Diettrich Widgetset => GTK 2
2009-11-18 23:16 Vincent Snijders LazTarget => 1.0
2009-11-18 23:16 Vincent Snijders Status new => acknowledged
2009-11-18 23:16 Vincent Snijders Target Version => 1.0.0
2010-03-30 09:35 Zeljan Rikalo Relationship added related to 0014510
2010-03-30 09:50 Zeljan Rikalo Note Added: 0036273
2010-03-30 09:50 Zeljan Rikalo Status acknowledged => feedback
2010-05-19 19:34 Zeljan Rikalo Fixed in Revision => 25519
2010-05-19 19:34 Zeljan Rikalo Status feedback => resolved
2010-05-19 19:34 Zeljan Rikalo Resolution open => fixed
2010-05-19 19:34 Zeljan Rikalo Assigned To => Zeljan Rikalo
2010-05-19 19:34 Zeljan Rikalo Note Added: 0037780
2010-05-19 19:55 Hans-Peter Diettrich Status resolved => closed
2010-05-19 19:55 Hans-Peter Diettrich Note Added: 0037784
2014-09-22 08:08 Juha Manninen Relationship added related to 0008576